'use strict';

var _           = require('underscore');

var APIv2 = function(client) {

  this.achievements = (function(client) {
    var Achievements = require('./v2/achievements');
    return new Achievements(client);
  })(client);

  this.account = (function(client) {
    var Account = require('./v2/account');
    return new Account(client);
  })(client);

  this.commerce = (function(client) {
    var Commerce = require('./v2/commerce');
    return new Commerce(client);
  })(client);

  this.pvp = (function(client) {
    var Pvp = require('./v2/pvp');
    return new Pvp(client);
  })(client);

  this.guild = (function(client) {
    var Guild = require('./v2/guild');
    return new Guild(client);
  })(client);

  this.game = (function(client) {
    var Game = require('./v2/game');
    return new Game(client);
  })(client);

  this.items = (function(client) {
    var Items = require('./v2/items');
    return new Items(client);
  })(client);

  this.map = (function(client) {
    var Map = require('./v2/map');
    return new Map(client);
  })(client);

  this.wvw = (function(client) {
    var WvW = require('./v2/wvw');
    return new WvW(client);
  })(client);

};

module.exports = APIv2;

