'use strict';

var _           = require('underscore');

var Achievements = function(client) {
  var base_uri = '/v2/achievements';

  var paths = {
    'daily': base_uri + '/daily',
    'tomorrow': base_uri + '/daily/tomorrow',
    'groups': base_uri + 'groups',
    'categories': base_uri + '/categories'
  };

  this.all = client.build.optional_ids_endpoint(base_uri);

  this.daily = client.build.static_endpoint(paths.daily);

  this.tomorrow = client.build.static_endpoint(paths.tomorrow);

  this.groups = client.build.optional_ids_endpoint(paths.groups);

  this.categories = client.build.optional_ids_endpoint(paths.categories);

};

module.exports = Achievements;

