'use strict';

var _           = require('underscore');

var Commerce = function(client) {
  var base_uri = '/v2/commerce';

  var paths = {
    'coins': base_uri + '/exchange/coins',
    'gems': base_uri + '/exchange/gems',
    'listings': base_uri + '/listings',
    'prices': base_uri + '/prices',
    'transactions': base_uri + '/transactions'
  };

  this.exchange_coins = client.build.static_endpoint(paths.coins);

  this.exchange_gems = client.build.static_endpoint(paths.gems);

  this.listings = client.build.optional_ids_endpoint(paths.listings);

  this.prices = client.build.optional_ids_endpoint(paths.prices);

  this.transactions = client.build.static_endpoint(paths.transactions);
};

module.exports = Commerce;

