'use strict';

var _           = require('underscore');

var Game = function(client) {
  var base_uri = '/v2';

  var paths = {
    'professions': base_uri + '/professions',
    'specializations': base_uri + '/specializations',
    'skills': base_uri + '/skills',
    'traits': base_uri + '/traits',
    'legends': base_uri + '/legends',
    'colors': base_uri + '/colors',
    'currencies': base_uri + '/currencies',
    'minis': base_uri + '/minis',
    'titles': base_uri + '/titles'
  };

  this.professions = client.build.optional_ids_endpoint(paths.professions);

  this.specializations = client.build.optional_ids_endpoint(paths.specializations);

  this.skills = client.build.optional_ids_endpoint(paths.skills);

  this.traits = client.build.optional_ids_endpoint(paths.traits);

  this.legends = client.build.optional_ids_endpoint(paths.legends);
  
  this.colors = client.build.optional_ids_endpoint(paths.colors);

  this.currencies = client.build.optional_ids_endpoint(paths.currencies);

  this.minis = client.build.optional_ids_endpoint(paths.minis);

  this.titles = client.build.optional_ids_endpoint(paths.titles);

};

module.exports = Game;

