'use strict';

var _           = require('underscore');

var Guild = function(client) {
  var base_uri = '/v2/guild';

  var paths = {
    'foreground': '/v2/emblem/foregrounds',
    'background': '/v2/emblem/backgrounds',
    'permissions': base_uri + '/permissions',
    'upgrades': base_uri + '/upgrades',
    'log': '/log',
    'members': '/members',
    'ranks': '/ranks',
    'stash': '/stash',
    'treasury': '/treasury',
    'teams': '/teams',
    'upgrades_auth': '/upgrades'
  };

  this.emblem_foregrounds = client.build.optional_ids_endpoint(paths.foreground);

  this.emblem_backgrounds = client.build.optional_ids_endpoint(paths.background);

  this.permissions = client.build.optional_ids_endpoint(paths.permissions);

  this.guild_upgrades = client.build.optional_ids_endpoint(paths.upgrades);

  // Authenticated guild endpoints
  // These are accessible only with a guild leader's API Key
  this.log = client.build.guild_id_endpoint(base_uri, paths.log);

  this.members = client.build.guild_id_endpoint(base_uri, paths.members);

  this.ranks = client.build.guild_id_endpoint(base_uri, paths.ranks);

  this.stash = client.build.guild_id_endpoint(base_uri, paths.stash);

  this.treasury = client.build.guild_id_endpoint(base_uri, paths.treasury);

  this.teams = client.build.guild_id_endpoint(base_uri, paths.teams);

  this.upgrades = client.build.guild_id_endpoint(base_uri, paths.upgrades_auth);

};

module.exports = Guild;

