'use strict';

var _           = require('underscore');

var Items = function(client) {
  var base_uri = '/v2';

  var paths = {
    'items': base_uri + '/items',
    'itemstats': base_uri + '/itemstats',
    'materials': base_uri + '/materials',
    'recipes': base_uri + '/recipes',
    'recipe_search': base_uri + '/recipe/search',
    'legends': base_uri + '/legends'
  };

  this.all = client.build.optional_ids_endpoint(paths.items);

  this.itemstats = client.build.optional_ids_endpoint(paths.itemstats);

  this.materials = client.build.optional_ids_endpoint(paths.materials);

  this.recipes = client.build.optional_ids_endpoint(paths.recipes);

  this.recipe_by_input = function(id, callback) {
    client.request(paths.recipe_search, {input: id}, callback);
  };

  this.recipe_by_output = function(id, callback) {
    client.request(paths.recipe_search, {output: id}, callback);
  };

  this.skins = client.build.optional_ids_endpoint(paths.skins);

};

module.exports = Items;

